org.jboss.netty.channel.socket.nio

## Class NioWorkerPool

- java.lang.Object
- - org.jboss.netty.channel.socket.nio.AbstractNioWorkerPool<NioWorker>
  - - org.jboss.netty.channel.socket.nio.NioWorkerPool

All Implemented Interfaces:
  WorkerPool<NioWorker>, ExternalResourceReleasable

    public class NioWorkerPool
    extends AbstractNioWorkerPool<NioWorker>

Default implementation which hands of `NioWorker`'s

### Constructor Summary

Constructors
Constructor and Description
`NioWorkerPool(Executor workerExecutor, int workerCount)`
`NioWorkerPool(Executor executor, int workerCount, boolean allowShutdownOnIdle)` Deprecated. use `NioWorkerPool(Executor, int)`

### Method Summary

Methods
`protected NioWorker` `createWorker(Executor executor, boolean allowShutdownOnIdle)` Create a new `Worker` which uses the given `Executor` to service IO

### Methods inherited from class org.jboss.netty.channel.socket.nio.AbstractNioWorkerPool

`createWorker, nextWorker, releaseExternalResources`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NioWorkerPool

    public NioWorkerPool(Executor executor,
                 int workerCount,
                 boolean allowShutdownOnIdle)

Deprecated. use `NioWorkerPool(Executor, int)`

#### NioWorkerPool

    public NioWorkerPool(Executor workerExecutor,
                 int workerCount)

### Method Detail

#### createWorker

    protected NioWorker createWorker(Executor executor,
                         boolean allowShutdownOnIdle)

Description copied from class: `AbstractNioWorkerPool`
Create a new `Worker` which uses the given `Executor` to service IO

Specified by:
  `createWorker` in class `AbstractNioWorkerPool<NioWorker>`
Parameters:
  `executor` - the `Executor` to use
  `allowShutdownOnIdle` - allow the `Worker` to shutdown when there is not `Channel` is registered with it
Returns:
  worker the new `Worker`